(function () {
  let url = "ws://10.31.157.59:8888"; //服务器连接地址 通信地址

  // WebSocket 是html5 新增的通信API
  // HTTP的通信是无状态的 在发送数据之前需要进行三次握手 结束后进行四次挥手(TCP 三次握手/四次挥手)(短信)

  // WebSocket 是一种长连接的通信方式(打电话) 连接成功后可以一直发送信息
  let ws = new WebSocket(url); //传入通信地址 建立连接

  let content = document.querySelector("#content");

  let text = document.querySelector("#text");

  // 当连接成功是会触发open事件
  ws.addEventListener("open", function () {
    ws.send("我上线了");
  });

  // 当收到来自服务器的信息时 触发 message事件
  // DOM2 事件监听
  ws.addEventListener("message", function (ev) {
    // console.log('收到信息');
    // console.log(ev.data);
    // content.textContent +=ev.data;

    content.innerHTML += ev.data + "<br>";
  });

  //键盘弹起事件
  text.addEventListener("keyup", function (ev) {
    // 判断是否按了回车键
    if (ev.keycode === 13) {
      // 向服务器发送当前输入框的值
      ws.send(this.value);
      // 清空
      this.value = "";
    }
  });
})();
