// npm i ws --save
const WebSocket = require("ws");

// 新建一个TCP服务
const server = new WebSocket.Server({
  port: 8888,
  host: "10.31.157.59",
});

const users = {}; //存放所有的客户端
let count = 0; //记录ID

server.on("connection", (client) => {
  client.id = ++count;
  users[client.id] = client;

  client.on("message", (message) => {
    //message 收到信息
    console.log(`用户${client.id}说:${message}`);
    // 服务端收到信息调用
    broadcast(message, client);
  });
});

// 客户端信息广播给所有人
function broadcast(message, client) {
  // 遍历所有的客户端
  for (let key in users) {
    users[key].send(`用户${client.id}说:${message}`);
  }
}
